import request from '@/utils/request'

// 查询个体经营者基本信息列表
export function listInformation(query) {
  return request({
    url: '/basicData/xcrIndividualBusinessInformation/findByPage',
    method: 'get',
    params: query
  })
}

// 查询个体经营者基本信息详细
export function getInformation(xhCodeId) {
  return request({
    url: '/basicData/xcrIndividualBusinessInformation/' + xhCodeId,
    method: 'get'
  })
}

// 新增个体经营者基本信息
export function addInformation(data) {
  return request({
    url: '/basicData/xcrIndividualBusinessInformation',
    method: 'post',
    data: data
  })
}

// 修改个体经营者基本信息
export function updateInformation(data) {
  return request({
    url: '/basicData/xcrIndividualBusinessInformation',
    method: 'put',
    data: data
  })
}

// 删除个体经营者基本信息
export function delInformation(xhCodeId) {
  return request({
    url: '/basicData/xcrIndividualBusinessInformation/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delInformationBatch(ids) {
  return request.post('/basicData/xcrIndividualBusinessInformation/delete',ids)
}
